package notpowerpoint;

import java.awt.Dimension;
import java.awt.Toolkit;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JFrame;

/**
 * The main program for the notpowerpoint application.  Shows
 * a window containing a SlidePanel and its associated menu bar.
 * A WindowListeneris set up to call the Panel's doClose() method
 * if the user clicks  the window's close box.
 */
public class Main {
	
	public static void main(String[] args) {
		JFrame window = new JFrame("Not PowerPoint!");
		final SlidePanel panel = new SlidePanel();
		window.setContentPane(panel);
		window.setJMenuBar( new Menus(panel) );
		window.pack();
		window.setResizable(false);
		window.setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
		window.addWindowListener( new WindowAdapter() {
			public void windowClosing(WindowEvent evt) {
				panel.doClose();
			}
		});
		Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
		window.setLocation( (screenSize.width - window.getWidth()) / 2, 
				(screenSize.height - window.getHeight()) / 2 );
		window.setVisible(true);
	}
}
